## org.eclipse.emf.codegen.ecore
Class Generator.PlatformRunnable

    java.lang.Object
      org.eclipse.emf.codegen.CodeGen
          org.eclipse.emf.codegen.ecore.Generator
              org.eclipse.emf.codegen.ecore.Generator.PlatformRunnable

All Implemented Interfaces:
  IApplication

Enclosing class:
  Generator

    public static class Generator.PlatformRunnable

extends Generator
implements IApplication

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.Generator
`Generator.PlatformRunnable`

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.CodeGen
`CodeGen.StreamProgressMonitor`

Field Summary

Fields inherited from class org.eclipse.emf.codegen.ecore.Generator
`basePackage, EMF_EDIT_PROJECT_STYLE, EMF_EDITOR_PROJECT_STYLE, EMF_EMPTY_PROJECT_STYLE, EMF_MODEL_PROJECT_STYLE, EMF_PLUGIN_PROJECT_STYLE, EMF_TESTS_PROJECT_STYLE, EMF_XML_PROJECT_STYLE`

Fields inherited from interface org.eclipse.equinox.app.IApplication
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`Generator.PlatformRunnable()`

Method Summary
`static java.lang.Object` `run(Generator generator, java.lang.Object object)` This is called with the command line arguments of a headless workbench invocation.
`java.lang.Object` `run(java.lang.Object object)` This is called with the command line arguments of a headless workbench invocation.
`java.lang.Object` `start(IApplicationContext context)`
`void` `stop()`

Methods inherited from class org.eclipse.emf.codegen.ecore.Generator
`createEMFProject, createEMFProject, createEMFProject, createEMFProject, createEMFProject, findOrCreateContainerHelper, main, printGenerateUsage, printStatus, setSDODefaults`

Methods inherited from class org.eclipse.emf.codegen.CodeGen
`addClasspathEntries, addClasspathEntries, findOrCreateContainer, findOrCreateContainer, getClasspathPaths`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Generator.PlatformRunnable

    public Generator.PlatformRunnable()

Method Detail

### start

    public java.lang.Object start(IApplicationContext context)
                           throws java.lang.Exception

  Specified by:
    `start` in interface `IApplication`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Specified by:
    `stop` in interface `IApplication`

### run

    public java.lang.Object run(java.lang.Object object)

  This is called with the command line arguments of a headless workbench invocation.

  Overrides:
    `run` in class `Generator`

### run

    public static java.lang.Object run(Generator generator,
                                       java.lang.Object object)

  This is called with the command line arguments of a headless workbench invocation.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.